Bug 529323 - Review Request: gdouros-aegean-fonts - Font for ancient scripts in the Aegean vicinity
Summary: Review Request: gdouros-aegean-fonts - Font for ancient scripts in the Aegean...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robin Sonefors
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-16 08:30 UTC by Robin Sonefors
Modified: 2015-04-30 06:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 18:03:28 UTC
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1208830 None None None Never

Internal Links: 1208830

Description Robin Sonefors 2009-10-16 08:30:41 UTC
Spec URL: http://flukkost.nu/gdouros-aegean-fonts.spec
SRPM URL: http://flukkost.nu/gdouros-aegean-fonts-3.01-1.fc12.src.rpm
Description:
Aegean covers the following scripts and symbols supported by The Unicode
Standard 5.2: Basic Latin, Greek and Coptic, Greek Extended, some Punctuation
and other Symbols, Linear B Syllabary, Linear B Ideograms, Aegean Numbers,
Ancient Greek Numbers, Ancient Symbols, Phaistos Disc, Lycian, Carian, Old
Italic, Ugaritic, Old Persian, Cypriot Syllabary, Phoenician, Lydian, and
Archaic Greek Musical Notation.

Aegea also covers the following scripts and symbols not yet supported by
Unicode: Cretan Hieroglyphs, Cypro-Minoan, Linear A, the Arkalochori Axe,
Ancient Greek and Old Italic variant alphabets. These are allocated in the
Supplementary Private Use Plane 15.

It was created by George Douros.

Comment 1 Nicolas Mailhot 2009-10-16 21:53:03 UTC
Wow, you don't know how long I've waited for someone to pick up this review request (Antiquity is cool!)

Review:

1. don't really know if it's better to hang this on George Douros (gdouros-) or Unicode Fonts for Ancient Scripts (ufas-). Probably a good idea to ask upstream what they prefer. Please sync the wiki page name with the choice you make in the rpm

2. You have a typo in the description (Aegea)

3. It'd be a good idea to convince the author to put his licensing info in the zip (as a detached txt file). If his web site ever disappears the "Fonts in this site are offered free for any use; they may be opened, edited, modified, regenerated, posted, packaged and redistributed." statement will be lost (it's in the "License" font metadata field but sadly our font viewers seem not to display it right now so users will miss it

4. Since this is a non-standard licensing statement, please confirm with spot that "Freely redistributable without restriction" is the right licensing string to use

The rest of the package is pretty clean and was a pleasure to review, thank you

Comment 2 Tom "spot" Callaway 2009-10-19 14:36:20 UTC
"Copyright only" would be the appropriate licensing string to use.

Comment 3 Robin Sonefors 2009-10-19 15:30:26 UTC
> 1. don't really know if it's better to hang this on George Douros (gdouros-) or
> Unicode Fonts for Ancient Scripts (ufas-). Probably a good idea to ask upstream
> what they prefer. Please sync the wiki page name with the choice you make in
> the rpm
>
Upstream prefers gdouros.
 
> 2. You have a typo in the description (Aegea)
> 
Fixed.

> 3. It'd be a good idea to convince the author to put his licensing info in the
> zip (as a detached txt file). If his web site ever disappears the "Fonts in
> this site are offered free for any use; they may be opened, edited, modified,
> regenerated, posted, packaged and redistributed." statement will be lost (it's
> in the "License" font metadata field but sadly our font viewers seem not to
> display it right now so users will miss it
> 
Upstream said he'd try to do that, but has not done so yet. I'm assuming he'll do that once he makes a new release.

> 4. Since this is a non-standard licensing statement, please confirm with spot
> that "Freely redistributable without restriction" is the right licensing string
> to use
> 
Changed according to spot's comment.

Spec URL (still): http://flukkost.nu/gdouros-aegean-fonts.spec
SRPM URL: http://flukkost.nu/gdouros-aegean-fonts-3.01-2.fc12.src.rpm

Comment 4 Nicolas Mailhot 2009-10-19 17:26:38 UTC
This one is golden

♬♬♬ APPROVED ♬♬♬

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package a
other fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation or documentation on the fonts mailing list.

Thank you for another contribution to our font package pool.

⇒ REASSIGNING

Comment 5 Robin Sonefors 2009-10-19 19:22:20 UTC
New Package CVS Request
=======================
Package Name: gdouros-aegean-fonts
Short Description: A font for ancient scripts in the greater Aegean vicinity
Owners: ozamosi
Branches: F11 F12
InitialCC: fonts-sig

Comment 6 Kevin Fenzi 2009-10-22 04:49:10 UTC
cvs done.

Comment 7 Fedora Update System 2009-10-31 15:44:44 UTC
gdouros-aegean-fonts-3.01-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdouros-aegean-fonts-3.01-2.fc11

Comment 8 Fedora Update System 2009-11-04 12:15:39 UTC
gdouros-aegean-fonts-3.01-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-18 05:29:58 UTC
gdouros-aegean-fonts-3.01-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gdouros-aegean-fonts-3.01-2.fc12

Comment 10 Fedora Update System 2009-11-20 05:32:43 UTC
gdouros-aegean-fonts-3.01-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Nicolas Mailhot 2010-02-22 18:03:28 UTC
Please do not forget to close review bug when the package has been built fedora-side


Note You need to log in before you can comment on or make changes to this bug.